Loading...
Searching...
No Matches
pcl::RegressionVarianceNode< FeatureType, LabelType > Class Template Reference

Node for a regression trees which optimizes variance. More...

`#include <pcl/ml/regression_variance_stats_estimator.h>`

## Public Member Functions

| RegressionVarianceNode ()
| Constructor.
void | serialize (std::ostream &stream) const
| Serializes the node to the specified stream.
void | deserialize (std::istream &stream)
| Deserializes a node from the specified stream.

## Public Attributes

FeatureType | feature
| The feature associated with the node.
float | threshold
| The threshold applied on the feature response.
LabelType | value
| The label value of this node.
LabelType | variance
| The variance of the labels that ended up at this node during training.
std::vector< RegressionVarianceNode > | sub_nodes
| The child nodes.

## Detailed Description

template<class FeatureType, class LabelType>
class pcl::RegressionVarianceNode< FeatureType, LabelType >

Node for a regression trees which optimizes variance.

Definition at line 51 of file regression_variance_stats_estimator.h.

## Constructor & Destructor Documentation

## RegressionVarianceNode()

template<class FeatureType, class LabelType>

pcl::RegressionVarianceNode< FeatureType, LabelType >::RegressionVarianceNode | ( |  | ) |

inline

Constructor.

Definition at line 54 of file regression_variance_stats_estimator.h.

References sub_nodes, threshold, value, and variance.

## Member Function Documentation

## deserialize()

template<class FeatureType, class LabelType>

void pcl::RegressionVarianceNode< FeatureType, LabelType >::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes a node from the specified stream.

Parameters

  [in] | stream | the source for the deserialization

Definition at line 83 of file regression_variance_stats_estimator.h.

References feature, sub_nodes, threshold, value, and variance.

## serialize()

template<class FeatureType, class LabelType>

void pcl::RegressionVarianceNode< FeatureType, LabelType >::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the node to the specified stream.

Parameters

  [out] | stream | the destination for the serialization

Definition at line 61 of file regression_variance_stats_estimator.h.

References feature, sub_nodes, threshold, value, and variance.

## Member Data Documentation

## feature

template<class FeatureType, class LabelType>

FeatureType pcl::RegressionVarianceNode< FeatureType, LabelType >::feature

The feature associated with the node.

Definition at line 106 of file regression_variance_stats_estimator.h.

Referenced by deserialize(), and serialize().

## sub_nodes

template<class FeatureType, class LabelType>

std::vector<RegressionVarianceNode> pcl::RegressionVarianceNode< FeatureType, LabelType >::sub_nodes

The child nodes.

Definition at line 118 of file regression_variance_stats_estimator.h.

Referenced by deserialize(), RegressionVarianceNode(), and serialize().

## threshold

template<class FeatureType, class LabelType>

float pcl::RegressionVarianceNode< FeatureType, LabelType >::threshold

The threshold applied on the feature response.

Definition at line 109 of file regression_variance_stats_estimator.h.

Referenced by deserialize(), RegressionVarianceNode(), and serialize().

## value

template<class FeatureType, class LabelType>

LabelType pcl::RegressionVarianceNode< FeatureType, LabelType >::value

The label value of this node.

Definition at line 112 of file regression_variance_stats_estimator.h.

Referenced by deserialize(), RegressionVarianceNode(), and serialize().

## variance

template<class FeatureType, class LabelType>

LabelType pcl::RegressionVarianceNode< FeatureType, LabelType >::variance

The variance of the labels that ended up at this node during training.

Definition at line 115 of file regression_variance_stats_estimator.h.

Referenced by deserialize(), RegressionVarianceNode(), and serialize().

The documentation for this class was generated from the following file:

- pcl/ml/regression_variance_stats_estimator.h